<?php
defined('PHPWG_ROOT_PATH') or trigger_error('Hacking attempt!', E_USER_ERROR);
//if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

$plugin_path = dirname(__FILE__).'/';

include_once($plugin_path.'db_export_image_metadata_class.php');

// Template and variable init
global $template;
load_language('plugin.lang', $plugin_path);
$destDir = ""; $exiftoolPath = ""; $exiv2path = ""; $use_exiftool = true; $use_exiv2 = true; 
$use_utf8 = true; $use_whole_desc = true; $nb_tags = 0; $test_mode = false; $test_img_id ='2 OR img.id = 655';

// Retrieve form
if (isset($_POST['exportmetadata_post_form']) == 1)
//if (isset($_POST['submit']))
{
	if ($_POST['exportmetadata_dir'] !== '')
	{
		$destDir = $_POST['exportmetadata_dir'];
		$exiv2path = realpath($_POST['exiv2_path']);
		$exiftoolPath = realpath($_POST['exiftool_path']);
		$use_exiftool = isset($_POST['use_exiftool']); //checkbox
		$use_exiv2 = isset($_POST['use_exiv2']); //checkbox
		$use_utf8 = isset($_POST['use_utf8']); //checkbox
		$use_whole_desc = isset($_POST['multi_lang_desc']) ? $_POST['multi_lang_desc']  === 'true' : true;
		$test_mode = isset($_POST['test_mode']); //checkbox
		$test_img_id = $_POST['test_imgid'];
		if (file_exists($destDir))
		{
			$destDir = realpath($destDir);
			$export_image_metadata = new ExportImageMetadata($use_exiftool, $use_exiv2, $use_whole_desc, $use_utf8);
			$export_image_metadata->set_test_mode($test_mode, $test_img_id);
			$export_image_metadata->set_tool_pathes($exiftoolPath, $exiv2path);
			$nb_tags = $export_image_metadata->image_properties_to_file($destDir);
		}
	}
}

// template assign
$template->set_filenames( array('db_export_image_metadata_content' => $plugin_path.'db_export_image_metadata.tpl') );

$template->assign(array(
	'F_ACTION' => PHPWG_ROOT_PATH.'admin.php?page=plugin&amp;section=Tags2File%2Fdb_export_image_metadata.php',
	'EXPORTMETADATA_DIR' => $destDir,
	'EXIFTOOL_PATH' => $exiftoolPath, 
	'EXIV2_PATH' => $exiv2path,
	'USE_EXIFTOOL' => $use_exiftool ? 'checked="checked"' : '',
	'USE_EXIV2' => $use_exiv2 ? 'checked="checked"' : '',
	'USE_UTF8' => $use_utf8 ? 'checked="checked"' : '',
	'MULTI_LANG_DESC' => $use_whole_desc ? 'true' : 'false',
	'NB_FILE_TO_TAG' => $nb_tags,
	'TEST_MODE' => $test_mode ? 'checked="checked"' : '',
	'TEST_IMG_ID' => $test_img_id
));

$template->assign_var_from_handle( 'ADMIN_CONTENT', 'db_export_image_metadata_content');

?>
